org.eclipse.viatra.query.runtime.matchers.util

## Enum CollectionsFactory.MemoryType

- java.lang.Object
- - java.lang.Enum<CollectionsFactory.MemoryType>
  - - org.eclipse.viatra.query.runtime.matchers.util.CollectionsFactory.MemoryType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CollectionsFactory.MemoryType>
  Enclosing class:
    CollectionsFactory

      public static enum CollectionsFactory.MemoryType
      extends java.lang.Enum<CollectionsFactory.MemoryType>

  The type of `IMemory`
  Since:
    2.0 TODO add delta as type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTISETS` Duplicate key-value pairs allowed
    `SETS` A single key-value pair is stored at most once

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CollectionsFactory.MemoryType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CollectionsFactory.MemoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SETS

          public static final CollectionsFactory.MemoryType SETS

      A single key-value pair is stored at most once

    - #### MULTISETS

          public static final CollectionsFactory.MemoryType MULTISETS

      Duplicate key-value pairs allowed

  - ### Method Detail

    - #### values

          public static CollectionsFactory.MemoryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollectionsFactory.MemoryType c : CollectionsFactory.MemoryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollectionsFactory.MemoryType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null